package cn.iocoder.yudao.module.order.convert.order;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.order.*;
import cn.iocoder.yudao.module.order.dal.dataobject.order.OrderDO;

/**
 * 订单 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderConvert {
    /*****转换MapStruct*****/
    OrderConvert INSTANCE = Mappers.getMapper(OrderConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderDO convert(OrderCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderDO convert(OrderUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderBackVO convert(OrderDO bean);

    /***
     * 返回VO转实体
     * @param bean
     * @return
     */
    OrderDO convert(OrderBackVO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderBackVO> convertList(List<OrderDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderBackVO> convertPage(PageResult<OrderDO> page);

    List<OrderMiniDO> convertMiniList(List<OrderDO> list);
}
